postgrest-0.4.2.0: REST API for any Postgres database

Safe Haskell | None
Language | Haskell2010

PostgREST.OpenAPI

Synopsis

- encodeOpenAPI :: [ProcDescription] -> [(Table, [Column], [Text])] -> (Text, Text, Integer, Text) -> LByteString
- isMalformedProxyUri :: Maybe Text -> Bool
- pickProxy :: Maybe Text -> Maybe Proxy

# Documentation

encodeOpenAPI :: [ProcDescription] -> [(Table, [Column], [Text])] -> (Text, Text, Integer, Text) -> LByteString #

isMalformedProxyUri :: Maybe Text -> Bool #

Test whether a proxy uri is malformed or not. A valid proxy uri should be an absolute uri without query and user info, only http(s) schemes are valid, port number range is 1-65535.

For example http://postgrest.com/openapi.json https://postgrest.com:8080/openapi.json

pickProxy :: Maybe Text -> Maybe Proxy #